# History file 'elf1-mod.h' transforms model with homogeneous
# layers separated by plane interfaces 'ELF1' into VRML
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required
 #chk.pl: "model/elf1/" "elf1-mod.dat"
 #chk.pl: "model/elf1/" "elf1-cam.dat"
 #chk.pl: "model/elf1/" "elf1-dli.dat"
 #chk.pl: "forms/"      "hsv.dat"

# Input data
  MODEL='elf1-mod.dat'

# Temporary files (several times overwritten)
  VRTX='vrtx.tmp'  TRGL='trgl.tmp'  PLGN='plgn.tmp'

# Setting of cameras (viewpoints) and lights
  UP1=0  UP2=0  UP3=-1  CAMERA='elf1-cam.dat'
  DLIGHT='elf1-dli.dat'  AMBIENT=0.00

# Colour properties
  COLORS='hsv.dat'
  TRANSP=0.00  SPECULAR=0.22  SHININESS=0.10
  R=0.00  G=0.00  B=0.00  # Black background

# Structural interfaces in the model
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Name and format of output file
  WRL='elf1-srf.wrl'  VRML='VRML2'
  iniwrl: 'elf1-mod.h' /

# Colours correspond to the indices of surfaces
  COLUMN07='ISRF'
  KOLPOS=07  KOLNEG=07  VPER=6   VREF=1   CREF=0.

# Triangulating and plotting interfaces
  N1=2   N2=2   N3=2   D1=10.  D2=10.  D3=-6.  O1=0.   O2=0.   O3=5.
  modsrf: 'elf1-mod.h' /
  trgl:   'elf1-mod.h' /
  srfwrl: 'elf1-mod.h' /

# Adding model box wireframe
  LIN='elf1-bnd.out'
  KOLLIN=0  R=1.00  G=1.00  B=1.00
  bndlin: 'elf1-mod.h' /
  linwrl: 'elf1-mod.h' /

# Complex blocks in the model
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Name of output file
  WRL='elf1-icb.wrl'
  iniwrl: 'elf1-mod.h' /

# Colours correspond to complex blocks
  COLUMN08='+ICB'
  KOLPOS=08  KOLNEG=08  VPER=6   VREF=1   CREF=0.

# Triangulating individual complex block sections
# Section perpendicular to X1, minimum X1 coordinate
  N1=1
  modsrf: 'elf1-mod.h' /
  trgl:   'elf1-mod.h' /
  srfwrl: 'elf1-mod.h' /
# Section perpendicular to X1, maximum X1 coordinate
                                               O1=10.
  modsrf: 'elf1-mod.h' /
  trgl:   'elf1-mod.h' /
  srfwrl: 'elf1-mod.h' /
# Section perpendicular to X2, minimum X2 coordinate
  N1=2   N2=1                                  O1=0.
  modsrf: 'elf1-mod.h' /
  trgl:   'elf1-mod.h' /
  srfwrl: 'elf1-mod.h' /
# Section perpendicular to X2, maximum X2 coordinate
                                                       O2=10
  modsrf: 'elf1-mod.h' /
  trgl:   'elf1-mod.h' /
  srfwrl: 'elf1-mod.h' /
# Section perpendicular to X3, maximum X3 coordinate
         N2=2   N3=1                                   O2=0
  modsrf: 'elf1-mod.h' /
  trgl:   'elf1-mod.h' /
  srfwrl: 'elf1-mod.h' /
# Section perpendicular to X3, minimum X3 coordinate
                                                               O3=0
  modsrf: 'elf1-mod.h' /
  trgl:   'elf1-mod.h' /
  srfwrl: 'elf1-mod.h' /

