# History file 'l7-grd.h' to generate PostScript files with
# the sections across model L7, displaying P-wave velocities
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required:
 #chk.pl: "forms/"    "echo.pl"
 #chk.pl: "forms/"    "append.pl"
 #chk.pl: "model/l7/" "l7-mod.dat"

# Creating input data file for 'grid.for':
  echo.pl: "' ' 'l7-vel.out' ' ' /" >grid.tmp
  echo.pl: "/"                     >>grid.tmp

# Grid dimensions, initial position, and plotting parameters:
  MODEL='l7-mod.dat'
  N1=400       N2=1      N3=151
  D1=0.020     D2=0.020  D3=0.020
  O1=3.130     O2=1.301  O3=0.000
  VCIRC=-4.5   VREF=1.5
  YSIGN=-1
  HOFFSET=4.5  VOFFSET=22.16
# Running programs to plot velocities:
  grid:  'l7-grd.h' 'grid.tmp' /                # Gridding velocities
  grdps: 'l7-grd.h' 'l7-vel.out' 'l7-vel1.ps' / # Plotting velocities

# Shifting the grid:
  O2=3.651     HOFFSET=3.5  VOFFSET=17.16
  grid:  'l7-grd.h' 'grid.tmp' /                # Gridding velocities
  grdps: 'l7-grd.h' 'l7-vel.out' 'l7-vel2.ps' / # Plotting velocities

# Shifting the grid:
  O2=6.001     HOFFSET=2.5  VOFFSET=12.16
  grid:  'l7-grd.h' 'grid.tmp' /                # Gridding velocities
  grdps: 'l7-grd.h' 'l7-vel.out' 'l7-vel3.ps' / # Plotting velocities

# Shifting the grid:
  O2=8.351     HOFFSET=1.5  VOFFSET=7.16
  grid:  'l7-grd.h' 'grid.tmp' /                # Gridding velocities
  grdps: 'l7-grd.h' 'l7-vel.out' 'l7-vel4.ps' / # Plotting velocities

# Shifting the grid:
  O2=10.701    HOFFSET=0.5  VOFFSET=2.16
  grid:  'l7-grd.h' 'grid.tmp' /                # Gridding velocities
  grdps: 'l7-grd.h' 'l7-vel.out' 'l7-vel5.ps' / # Plotting velocities

# Composing a single figure of the 5 grids:
  echo.pl: "%!"                            >l7-vel.ps
  echo.pl: "%%BoundingBox: 14 61 581 799" >>l7-vel.ps
  echo.pl: "/gsave"                       >>l7-vel.ps
  echo.pl: "/showpage {} def"             >>l7-vel.ps
  append.pl: "l7-vel.ps" "l7-vel1.ps"
  append.pl: "l7-vel.ps" "l7-vel2.ps"
  append.pl: "l7-vel.ps" "l7-vel3.ps"
  append.pl: "l7-vel.ps" "l7-vel4.ps"
  append.pl: "l7-vel.ps" "l7-vel5.ps"
  echo.pl: "grestore"                     >>l7-vel.ps
  echo.pl: "showpage"                     >>l7-vel.ps

# ======================================================================

# List of output PostScript figures:
# 'l7-vel1.ps', ..., 'l7-vel5.ps' Individual sections across model L7
# 'l7-vel.ps' All five sections across model L7 in one figure
