# History file 'sd1-mod.h' transforms salt dome model 'SD1' into VRML
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required
 #chk.pl: "model/sd/" "sd1-mod.dat"
 #chk.pl: "model/sd/" "sd1-cam.dat"
 #chk.pl: "model/sd/" "sd1-dli1.dat"
 #chk.pl: "model/sd/" "sd1-dli2.dat"
 #chk.pl: "forms/"    "hsv.dat"

# Input data
  MODEL='sd1-mod.dat'

# Temporary files (several times overwritten)
  VRTX='vrtx.tmp'  TRGL='trgl.tmp'  PLGN='plgn.tmp'

# Setting of cameras (viewpoints) and lights
  UP1=0  UP2=0  UP3=1  CAMERA='sd1-cam.dat'
  DLIGHT='sd1-dli1.dat'  AMBIENT=0.00
  R=0.00  G=0.00  B=0.00  # Black background

# Colour properties of interfaces and velocity sections
  COLORS='hsv.dat'
  TRANSP=0.00  SPECULAR=0.22  SHININESS=0.10

# Structural interfaces in the model
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Name and format of output file
  WRL='sd1-srf.wrl'  VRML='VRML2'
  iniwrl: 'sd1-mod.h' /

# Colour of interfaces
  KOLPOS=0  KOLNEG=0
  R=1.00  G=1.00  B=1.00  # White colour

# Triangulating and plotting interfaces
  N1=41  N2=41  N3=21  D1=0.5  D2=0.5  D3=0.5  O1=-10. O2=-10. O3=-10.
  modsrf: 'sd1-mod.h' /
  trgl:   'sd1-mod.h' /
  srfwrl: 'sd1-mod.h' /

# Adding model box wireframe
  LIN='sd1-bnd.out'
  KOLLIN=0  R=1.00  G=1.00  B=1.00
  bndlin: 'sd1-mod.h' /
  linwrl: 'sd1-mod.h' /

# Solid P-wave velocity model
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Setting lights
  DLIGHT='sd1-dli2.dat'

# Name of output file
  WRL='sd1-vp.wrl'
  iniwrl: 'sd1-mod.h' /

# Colours correspond to P-wave velocities
  COLUMN07='+VP'  COLUMN08='-VP'
  KOLPOS=7  KOLNEG=7  VPER=-6.  VREF=5    CREF=1.

# Triangulating individual velocity sections
# Section perpendicular to X1, minimum X1 coordinate
  N1=1   N2=2   N3=2   D1=1.   D2=20.  D3=10.  O1=-10. O2=-10. O3=-10.
  modsrf: 'sd1-mod.h' /
  trgl:   'sd1-mod.h' /
  srfwrl: 'sd1-mod.h' /
# Section perpendicular to X1, maximum X1 coordinate
                               D2=10.          O1=10.  O2=0.
  modsrf: 'sd1-mod.h' /
  trgl:   'sd1-mod.h' /
  srfwrl: 'sd1-mod.h' /
# Section perpendicular to X1, inside model box
         N2=21  N3=21          D2=0.5  D3=0.5  O1=0.   O2=-10.
  modsrf: 'sd1-mod.h' /
  trgl:   'sd1-mod.h' /
  srfwrl: 'sd1-mod.h' /
# Section perpendicular to X1, thin belt near bottom
         N2=2   N3=2           D2=10.          O1=10.
  modsrf: 'sd1-mod.h' /
  trgl:   'sd1-mod.h' /
  srfwrl: 'sd1-mod.h' /
# Section perpendicular to X2, minimum X2 coordinate
  N1=2   N2=1   N3=2   D1=10.          D3=10.  O1=-10.
  modsrf: 'sd1-mod.h' /
  trgl:   'sd1-mod.h' /
  srfwrl: 'sd1-mod.h' /
# Section perpendicular to X2, maximum X2 coordinate
  N1=2                 D1=20.                          O2=10.
  modsrf: 'sd1-mod.h' /
  trgl:   'sd1-mod.h' /
  srfwrl: 'sd1-mod.h' /
# Section perpendicular to X2, inside model box
  N1=21         N3=21  D1=0.5          D3=0.5  O1=0.   O2=0.
  modsrf: 'sd1-mod.h' /
  trgl:   'sd1-mod.h' /
  srfwrl: 'sd1-mod.h' /
# Section perpendicular to X2, thin belt near bottom
  N1=2          N3=2   D1=10.                          O2=-10.
  modsrf: 'sd1-mod.h' /
  trgl:   'sd1-mod.h' /
  srfwrl: 'sd1-mod.h' /
# Section perpendicular to X3, maximum X3 coordinate, part 1
         N2=2   N3=1           D2=20.          O1=-10.         O3=0.
  modsrf: 'sd1-mod.h' /
  trgl:   'sd1-mod.h' /
  srfwrl: 'sd1-mod.h' /
# Section perpendicular to X3, maximum X3 coordinate, part 2
                               D2=10.          O1=0.   O2=0.
  modsrf: 'sd1-mod.h' /
  trgl:   'sd1-mod.h' /
  srfwrl: 'sd1-mod.h' /
# Section perpendicular to X3, minimum X3 coordinate
                       D1=20.  D2=20.          O1=-10. O2=-10. O3=-10.
  modsrf: 'sd1-mod.h' /
  trgl:   'sd1-mod.h' /
  srfwrl: 'sd1-mod.h' /
# Section perpendicular to X3, inside model box
                       D1=10.  D2=10.          O1=0.           O3=-9.5
  modsrf: 'sd1-mod.h' /
  trgl:   'sd1-mod.h' /
  srfwrl: 'sd1-mod.h' /

